.text-blue-200 {
    background: #f0f3fd;
    color: #000;
    font-weight: 500;
}

.reset_btn_tooltip {
    position: relative;
    transition: all ease-in 0.3s;
    padding: 0px;
}

.reset_btn_tooltip::after {
    content: "";
    position: absolute;
    top: 0;
    left: 45%;
    margin-left: -5px;
    border-width: 6px;
    border-style: solid;
    border-color: #131313 transparent transparent transparent;
    visibility: hidden;
}

.reset_btn_tooltip::before {
    content: attr(data-tooltip);
    visibility: hidden;
    background-color: #131313;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    padding: 5px;
    position: absolute;
    z-index: 1;
    font-size: 12px;
    line-height: normal;
    white-space: nowrap;
    transform: translate(-50%, 185%);
    left: 50%;
    top: -211%;
}

.reset_btn_tooltip:hover::after,
.reset_btn_tooltip:hover::before {
    visibility: visible;
}

@media screen and (max-width: 768px) {
    .reset_btn_tooltip:hover::after,
    .reset_btn_tooltip:hover::before {
        visibility: hidden;
    }
}

.tool_option_style {
    color: #46506a;
}

.slider-container {
    width: max-content;
    position: absolute;
    gap: 10px;
    right: -22%;
    top: 13px;
    align-items: baseline;
}
.slider-container label{
    min-width: fit-content;
}

.range-slider {
    -webkit-appearance: none;
    width: 100%;
    height: 6px;
    border-radius: 5px;
    outline: none;
    cursor: pointer;
    background: linear-gradient(to right, #6980e2 50%, #eaecf0 50%);
}
.download-dropdown{
    bottom: 115%;
    right: 50%;
}
.range-slider::-webkit-slider-runnable-track {
    -webkit-appearance: none;
    height: 6px;
    border-radius: 5px;
}

.range-slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 20px;
    height: 20px;
    background: #eaecf0;
    border: 2px solid #6980e2;
    cursor: pointer;
    border-radius: 50%;
    margin-top: -5px;
}
.range-slider:disabled {
    cursor: not-allowed;
}
.range-slider:disabled::-webkit-slider-thumb {
    cursor: not-allowed;
}

.slider-tooltip {
    position: absolute;
    top: -40px;
    left: 50%;
    transform: translateX(-50%);
    background: #333;
    color: #fff;
    padding: 5px 8px;
    border-radius: 5px;
    font-size: 14px;
    white-space: nowrap;
    transition: opacity 0.2s;
    opacity: 0;
    display: none;
}

.slider-tooltip::after {
    content: "";
    position: absolute;
    top: 100%;
    /* Position below the tooltip */
    left: 50%;
    margin-left: -5px;
    /* Center the arrow */
    border-width: 5px;
    /* Size of the arrow */
    border-style: solid;
    border-color: #333 transparent transparent transparent;
    /* Arrow color matches tooltip */
}

.slider-container:hover .slider-tooltip {
    opacity: 1;
}

.output_tab {
    padding: 6px 8px;
    line-height: 18px;
    font-size: 14px !important;
    min-width: fit-content;
    display: flex;
    gap: 8px;
    white-space: nowrap;
}
.output_tab.selectedMode {
    color: black;
    background-color: #eaecf0;
}

.output_tab:hover {
    background-color: #F7FAFC;
    color: rgba(37, 103, 162);
}

p {
    font-size: 18px !important;
}

.text_option_div {
    border: none;
}

.summery-label {
    color: #46506a;
    text-wrap: nowrap;
    font-size: 16px;
    font-weight: 400;
}

.summery-div {
    align-items: baseline;
}

#summary_length,
#summary_length_2 {
    border-radius: 5px;
    height: 5px;
    width: 170px;
    outline: none;
    -webkit-appearance: none;
}

.count-img {
    width: 200px;
}

input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 17px;
    height: 17px;
    background: #fff;
    border: 4px solid #536cd4;
    border-radius: 50%;
    cursor: pointer;
}

.text-blue-550 {
    color: #000;
    background: #eaecf0;
}

.text_result_options {
    color: #46506a;
    height: auto;
}

.mobile_mode_class {
    padding: 8px 10px !important;
    border-radius: 8px;
    background-color: #f0f3fd;
    font-size: 14px;
    font-weight: 400px;
    color: #081131;
}

.modes_mobile div,
.modes_mobile {
    border-radius: 12px;
}

.modes_mobile {
    width: 250px;
    padding: 2px !important;
    overflow: visible !important;
}

.tool_option_style {
    padding: 7px;
}

.mode-inner-div {
    padding: 12px 10px !important;
}

.mode-inner-div {
    border-radius: 12px !important;
}

.padding10 {
    padding-top: 10px !important;
    padding-left: 10px !important;
}

#output-div ul {
    list-style: disc !important;
    padding-left: 15px;
}

#output-div ul .section-heading {
    list-style-type: none;
    padding-left: 0;
    font-weight: 700;
    margin-left: -20px;
}

#output-div ul li {
    background: none !important;
    padding-left: 0 !important;
    margin-bottom: 5px;
    margin-left: 5px;
}

.right_section_class {
    justify-content: flex-end !important;
}
.left_container_class {
    padding: 2px !important;
}
@media (max-width:1024px){
    .main-section{
        flex-direction: column;
    }
    .captcha-container{
        bottom: -60% !important;
    }
}
@media (max-width: 1080px) {
    .tool_option_style{
        display: flex !important;
    }
}
@media (max-width: 1030px) {
    .text_option_div {
        gap: 0.5rem;
    }
}

@media (max-width: 800px) {
    .submit_btn_class{
        font-size: 16px;
    }
    .left_container_class {
        height: 100px;
    }
    .tool_option_style{
        width: 100%;
    }
    .mode_tool{
        width: 48%;
        justify-content: center;
    }
    .slider-container {
        right: 0;
        left: 50%;
        top: 80%;
        padding: 0px 20px;
        transform: translate(-50%, -50%);
    }
}
@media (max-width: 770px) {
    .output_tab:hover {
        background-color: #eaecf0;
        color: black;
    }

    .summery-div {
        right: 0px;
        position: absolute;
        top: -590px;
    }

    #responseText {
        margin-bottom: 50px;
    }

    .flex-row {
        flex-direction: column !important;
        align-items: center;
    }

    .count-img {
        width: 70px !important;
    }

    .tool_left_container_class {
        display: block;
    }

    .text_option_div {
        justify-content: space-between;
        display: flex;
    }

    .count-div {
        justify-content: center;
        z-index: 99;
    }
}

@media screen and (min-width: 801px) and (max-width: 1204px) {
    .slider-container {
        right: 0;
        left: 50%;
        top: 50%;
        padding: 0px 20px;
        transform: translate(-50%, -50%);
    }
    .main_container_class {
        height: 100%;
        gap: 2rem;
        box-shadow: none !important;
    }

    .tool_left_container_class,
    .tool_right_container_class {
        border: 1px solid #e1e1e2 !important;
        border-radius: 10px !important;
        box-shadow: 0 2px 12px -2px rgba(0, 0, 0, 0.1);
    }
}

@media screen and (max-width: 1204px) {
    .tool_right_container_class {
        display: none;
    }
    .right_section_class {
        display: none
    }
}

@media screen and (max-width: 768px) {
    .mode-dropdown {
        align-items: flex-start;
        padding: 10px 10px;
    }

    .slider-container {
        right: 0;
        left: 50%;
        top: 80%;
        padding: 0px 20px;
        transform: translate(-50%, -50%);
    }

}

@media screen and (max-width: 640px) {
    .slider-container {
        width: 100%;
    }

    .modes-label {
        margin-top: 10px;
    }

    .output_tab {
        padding: 6px 4px;
        gap: 4px;
    }
}

.how-to-use-list {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.how-to-use-list li {
    list-style: disc;
    margin-left: 27px;
}

.how-to-use-list li article {
    display: inline;
    line-height: 28px;
}

.how-to-use-table {
    background: #fff;
    border: 1px solid #eaecf0;
    border-radius: 15px;
    box-shadow: 0 2px 12px -2px rgba(105, 128, 226, 0.1);
    overflow: hidden;
    max-width: 500px;
}

.how-to-use-table table {
    width: 100%;
    border-collapse: collapse;
}

.how-to-use-table tr:not(:last-child) td {
    border-bottom: 1px solid #eaecf0;
}

.how-to-use-table td {
    padding: 16px 24px;
    font-size: 14px;
    line-height: 20px;
    color: #081131;
    vertical-align: middle;
}

.htu-table-label {
    font-weight: 700;
    white-space: nowrap;
    border-right: 1px solid #eaecf0;
    max-width: 200px;
}

.htu-table-value {
    font-weight: 400;
}
